[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.DoDeletion

Performs actions needed to delete the specified list item.

## Declaration

Source position: comctrls.pp line 1535

`protected procedure TCustomListView.DoDeletion(`
`AItem: TListItem`
`); virtual;`

## Arguments

`AItem` |  | List view item deleted in the method.

## Description

DoDeletion ensures an overridden Delete method in a descendent class is always executed for the list item in AItem. If the method has been overridden, the OnDeletion event handler is signalled (when assigned).

DoDeletion is called from ItemDeleted, and occurs after the value in LastSelected has been updated.

## See also

TCustomListView.Delete |  | Deletes the specified list item.
TCustomListView.ItemDeleted |  | Called when the specified list item is removed from the list.
TCustomListView.OnDeletion |  | Event handler signalled when a list item is deleted from the Items container.
TCustomListView.Items |  | Collection of list items displayed on the list view control.
TListItem.Delete |  | Removes the list item from the container.
TListItems.Delete |  | Removes the list item specified in AIndex from the container.